| OpenCV 3.4.8 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | List of all members
cv::linemod::DepthNormal Class Reference
RGB-Depth Processing

Modality that computes quantized surface normals from a dense depth map. More...

`#include <opencv2/rgbd/linemod.hpp>`

Inheritance diagram for cv::linemod::DepthNormal:

## Public Member Functions
| DepthNormal ()
| Default constructor. Uses reasonable default parameter values. More...
| DepthNormal (int distance_threshold, int difference_threshold, size_t num_features, int extract_threshold)
| Constructor. More...
virtual String | name () const CV_OVERRIDE
virtual void | read (const FileNode &fn) CV_OVERRIDE
virtual void | write (FileStorage &fs) const CV_OVERRIDE
Public Member Functions inherited from cv::linemod::Modality
virtual | ~Modality ()
Ptr< QuantizedPyramid > | process (const Mat &src, const Mat &mask=Mat()) const
| Form a quantized image pyramid from a source image. More...

## Static Public Member Functions
static Ptr< DepthNormal > | create (int distance_threshold, int difference_threshold, size_t num_features, int extract_threshold)
Static Public Member Functions inherited from cv::linemod::Modality
static Ptr< Modality > | create (const String &modality_type)
| Create modality by name. More...
static Ptr< Modality > | create (const FileNode &fn)
| Load a modality from file. More...

## Public Attributes
int | difference_threshold
int | distance_threshold
int | extract_threshold
size_t | num_features

## Protected Member Functions
virtual Ptr< QuantizedPyramid > | processImpl (const Mat &src, const Mat &mask) const CV_OVERRIDE

## Detailed Description

Modality that computes quantized surface normals from a dense depth map.

## Constructor & Destructor Documentation

## § DepthNormal() [1/2]

cv::linemod::DepthNormal::DepthNormal | ( |  | ) |

Default constructor. Uses reasonable default parameter values.

## § DepthNormal() [2/2]

cv::linemod::DepthNormal::DepthNormal | ( | int | distance_threshold,
|  | int | difference_threshold,
|  | size_t | num_features,
|  | int | extract_threshold
| ) |  |

Constructor.

Parameters

  distance_threshold | Ignore pixels beyond this distance.
  difference_threshold | When computing normals, ignore contributions of pixels whose depth difference with the central pixel is above this threshold.
  num_features | How many features a template must contain.
  extract_threshold | Consider as candidate feature only if there are no differing orientations within a distance of extract_threshold.

## Member Function Documentation

## § create()

static Ptr<DepthNormal> cv::linemod::DepthNormal::create | ( | int | distance_threshold,
|  | int | difference_threshold,
|  | size_t | num_features,
|  | int | extract_threshold
| ) |  |
| static

Python:
| retval | = | cv.linemod.DepthNormal_create( | distance_threshold, difference_threshold, num_features, extract_threshold | )

## § name()

virtual String cv::linemod::DepthNormal::name | ( |  | ) | const
| virtual

Implements cv::linemod::Modality.

## § processImpl()

virtual Ptr<QuantizedPyramid> cv::linemod::DepthNormal::processImpl | ( | const Mat & | src,
|  | const Mat & | mask
| ) |  | const
| protected virtual

Implements cv::linemod::Modality.

## § read()

virtual void cv::linemod::DepthNormal::read | ( | const FileNode & | fn | ) |
| virtual

Implements cv::linemod::Modality.

## § write()

virtual void cv::linemod::DepthNormal::write | ( | FileStorage & | fs | ) | const
| virtual

Implements cv::linemod::Modality.

## Member Data Documentation

## § difference_threshold

int cv::linemod::DepthNormal::difference_threshold

## § distance_threshold

int cv::linemod::DepthNormal::distance_threshold

## § extract_threshold

int cv::linemod::DepthNormal::extract_threshold

## § num_features

size_t cv::linemod::DepthNormal::num_features

The documentation for this class was generated from the following file:

- opencv2/rgbd/linemod.hpp